Bug 1162712 - SELinux AVCs with pcp-webapi
Summary: SELinux AVCs with pcp-webapi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 1214090
TreeView+ depends on / blocked
 
Reported: 2014-11-11 14:18 UTC by Marko Myllynen
Modified: 2015-04-21 23:13 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1214090 (view as bug list)
Environment:
Last Closed: 2015-01-30 23:55:24 UTC
Type: Bug


Attachments (Terms of Use)
pcp-avcs.txt (4.86 KB, text/plain)
2014-11-11 14:18 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2014-11-11 14:18:55 UTC
Created attachment 956297 [details]
pcp-avcs.txt

Description of problem:
After installing Fedora 21 Beta + updates as of 2014-11-11, then installing pcp-webjs with its dependencies and starting the services pmcd, pmlogger, and pmwebd there are a lots of AVCs when accessing the PCP web stats at http://localhost:44323/. I'm attaching relevant portions of audit.log generated while SELinux was Permissive.

Version-Release number of selected component (if applicable):
pcp-3.10.0-1
selinux-policy-targeted-3.13.1-92

Comment 1 Frank Ch. Eigler 2014-11-11 15:08:52 UTC
This is likely a problem with selinux-policy-targeted.
I believe the dbus traffic is legitimate, and comes from
pmwebd trying to announce itself to the local avahi daemon.

Comment 2 Daniel Walsh 2015-01-02 14:25:05 UTC
1449482853dc16c972de378bd6de41c1391eefc3 fixes this in git.

Comment 3 Fedora Update System 2015-01-27 16:50:05 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 4 Fedora Update System 2015-01-30 04:32:57 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 23:55:24 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.